Loading...
Searching...
No Matches
NumTraits< rheolef::field_basic< T, M > >

## Detailed Description

template<class T, class M>
struct Eigen::NumTraits< rheolef::field_basic< T, M > >

Definition at line 37 of file field_eigen.h.

Inheritance diagram for NumTraits< rheolef::field_basic< T, M > >:

## Public Types

enum | { RequireInitialization = 1 , IsSigned = 1 , IsInteger = 0 , IsComplex = 0 , ReadCost = 1 , AddCost = 3 , MulCost = 3 }
using | NonInteger = T
using | Nested = T
using | Real = typename rheolef::float_traits<T>::type

## Member Typedef Documentation

## NonInteger

template<class T, class M>

using NonInteger = T

Definition at line 39 of file field_eigen.h.

## Nested

template<class T, class M>

using Nested = T

Definition at line 40 of file field_eigen.h.

## Real

template<class T, class M>

using Real = typename rheolef::float_traits<T>::type

Definition at line 41 of file field_eigen.h.

## Member Enumeration Documentation

## anonymous enum

template<class T, class M>

anonymous enum

Enumerator
RequireInitialization |
IsSigned |
IsInteger |
IsComplex |
ReadCost |
AddCost |
MulCost |

Definition at line 42 of file field_eigen.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/field_eigen.h